Module org.hsqldb
Package org.hsqldb.lib

## Class ReadWriteLockDummy.LockDummy

- java.lang.Object
- - org.hsqldb.lib.ReadWriteLockDummy.LockDummy

- All Implemented Interfaces:
    `java.util.concurrent.locks.Lock`
  Enclosing class:
    ReadWriteLockDummy

      public static class ReadWriteLockDummy.LockDummy
      extends java.lang.Object
      implements java.util.concurrent.locks.Lock

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LockDummy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `lock()` |
    `void` | `lockInterruptibly()` |
    `java.util.concurrent.locks.Condition` | `newCondition()` |
    `boolean` | `tryLock()` |
    `boolean` | `tryLock​(long time, java.util.concurrent.TimeUnit unit)` |
    `void` | `unlock()` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LockDummy

          public LockDummy()

  - ### Method Detail

    - #### lock

          public void lock()

      Specified by:
        `lock` in interface `java.util.concurrent.locks.Lock`

    - #### lockInterruptibly

          public void lockInterruptibly()

      Specified by:
        `lockInterruptibly` in interface `java.util.concurrent.locks.Lock`

    - #### tryLock

          public boolean tryLock()

      Specified by:
        `tryLock` in interface `java.util.concurrent.locks.Lock`

    - #### tryLock

          public boolean tryLock​(long time,
                                 java.util.concurrent.TimeUnit unit)

      Specified by:
        `tryLock` in interface `java.util.concurrent.locks.Lock`

    - #### unlock

          public void unlock()

      Specified by:
        `unlock` in interface `java.util.concurrent.locks.Lock`

    - #### newCondition

          public java.util.concurrent.locks.Condition newCondition()

      Specified by:
        `newCondition` in interface `java.util.concurrent.locks.Lock`